> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_sites.md).

# nats\_list\_sites

*Article Topics:* [*Smarty*](/getting-started/common-topics/smarty.md)*,* [*Customization*](/getting-started/common-topics/customization.md)

## Parameters

(*Required parameters in **bold**)*

| Parameter                                                                                                       | Description                                                      | Possible Values                | Default Values                        | Example                |
| --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- | ------------------------------ | ------------------------------------- | ---------------------- |
| program                                                                                                         | The program's ID number                                          | Any valid program ID number.   | The default program ID number         | programid="123"        |
| full                                                                                                            | Lists additional details about the sites.                        | 0 or 1 (exclusive)             | Off; does not list additional details | full="1"               |
| type                                                                                                            | If 1, will display the site type along with the site name        | 0 or 1                         | Off; shows only site name             | type="1"               |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details) | Any valid Smarty variable name | *None.* (No prefix is used)           | assign\_prefix="myvar" |
| <p>show\_hidden<br><em>version 4.1+</em></p>                                                                    | If 1, will display all of the sites whether hidden or not        | 0 or 1                         | Off; does not show hidden sites       | show\_hidden="1"       |

## Output

Output placed in the Smarty array *$sites*. By default, the array will contain one field for each site name; for example:

```
Array (2)
1 => "Test site"
2 => "Test site 2"
```

\
If *full* is set, *$sites* will contain a multidimensional array; for example:

```
Array (2)
1 => Array (56)
  tourid => "1"
  tour => "MAIN"
  siteid => "1"
  networkid => "0"
  name => "Default Tour"
  url => "http://nats4.vodka.toomuchmedia.com/s..."
  linkdomain => "nats4.vodka.toomuchmedia.com"
  description => ""
  thumb => ""
  thumb_ext => ""
  third_party_partner_id => "0"
  spartaurl => ""
  denyurl => ""
  denypost => ""
  approvalurl => "http://www.yahoo.com.hk"
  approvalpost => ""
  rebillpost => ""
  creditpost => ""
  chargebackpost => ""
  insufficient_fundpost => ""
  voidpost => ""
  userpost => ""
  userman => "http://nats4.vodka.toomuchmedia.com/c..."
  expirepost => ""
  custom => ""
  admin_signup_email => "cho@toomuchmedia.com"
  upgradeurl => ""
  upgradepost => ""
  allowed_lang => ""
  alternativeurl => ""
  allowed_lang_track_raw => "0"
  allowed_lang_track_unq => "0"
  hidden => "0"
  mail_member_joined => "Member Join"
  mail_member_cancelled => "Member Cancel"
  mail_member_rebilled => "Member Rebill"
  mail_member_credited => "Member Credit"
  mail_member_chargedback => "Member Chargeback"
  mail_member_insufficient => "Member Insufficient Funds"
  mail_member_voided => "Member Void"
  upgradedenyurl => ""
  upgradedenypost => ""
  prejoinpost => ""
  byo_owner => "0"
  byo_program => "0"
  byo_owner_only => "0"
  deleted => "0"
  niche => ""
  strack_programid => "0"
  change_detailspost => ""
  mail_member_change => "Member Details Change"
  site_name => "Test site"
  site => "test"
  date_added => "1212465600"
  date_live => "0"
  strack_link => "http://nats4.vodka.toomuchmedia.com/s..."
2 => Array (56)
  tourid => "2"
  tour => "MAIN"
  siteid => "2"
  networkid => "0"
  name => "Default Tour"
  url => ""
  linkdomain => ""
  description => ""
  thumb => ""
  thumb_ext => ""
  third_party_partner_id => "0"
  spartaurl => ""
  denyurl => ""
  denypost => ""
  approvalurl => ""
  approvalpost => ""
  rebillpost => ""
  creditpost => ""
  chargebackpost => ""
  insufficient_fundpost => ""
  voidpost => ""
  userpost => ""
  userman => ""
  expirepost => ""
  custom => ""
  admin_signup_email => ""
  upgradeurl => ""
  upgradepost => ""
  allowed_lang => ""
  alternativeurl => ""
  allowed_lang_track_raw => "0"
  allowed_lang_track_unq => "0"
  hidden => "0"
  mail_member_joined => ""
  mail_member_cancelled => ""
  mail_member_rebilled => ""
  mail_member_credited => ""
  mail_member_chargedback => ""
  mail_member_insufficient => ""
  mail_member_voided => ""
  upgradedenyurl => ""
  upgradedenypost => ""
  prejoinpost => ""
  byo_owner => "0"
  byo_program => "0"
  byo_owner_only => "0"
  deleted => "0"
  niche => ""
  strack_programid => "0"
  change_detailspost => ""
  mail_member_change => ""
  site_name => "Test site 2"
  site => "test2"
  date_added => "1209960000"
  date_live => "0"
  strack_link => ""
```

## See Also

* [nats\_list\_tours](/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_tours.md)
* [nats\_list\_campaigns](/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_campaigns.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_list_sites.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
